namespace Wizard;

public class PackSetRotationStarterClassTask : BaseTask
{
	public class PackSetRotationStarterClassTaskParam : BaseParam
	{
		public int pack_id;

		public int class_id;
	}

	public PackSetRotationStarterClassTask()
	{
		base.type = ApiType.Type.PackSetRotationStarterClass;
	}

	public void SetParameter(int packId, int classId)
	{
		PackSetRotationStarterClassTaskParam packSetRotationStarterClassTaskParam = new PackSetRotationStarterClassTaskParam();
		packSetRotationStarterClassTaskParam.pack_id = packId;
		packSetRotationStarterClassTaskParam.class_id = classId;
		base.Params = packSetRotationStarterClassTaskParam;
	}

	protected override int Parse()
	{
		int result = base.Parse();
		_ = 1;
		return result;
	}
}
